RUDOF(1)

NAME
rudof - RDF data shapes implementation in Rust

SYNOPSIS
rudof [OPTIONS] [COMMAND]

DESCRIPTION
RDF data shapes implementation in Rust

  Commands:

shapemap
    Show information about ShEx ShapeMaps

shex
    Show information about ShEx schemas

pgschema
    Show information about Property Graph Schemas

validate
    Validate RDF data using ShEx or SHACL

shex-validate
    Validate RDF using ShEx schemas

shacl-validate
    Validate RDF data using SHACL shapes

data
    Show information about RDF data

node
    Show information about a node in an RDF Graph

shacl
    Show information about SHACL shapes The SHACL schema can be passed through the data options or the optional schema options to provide an interface similar to Shacl-validate

dctap
    Arguments for the `dctap` command

convert
    Arguments for the `convert` command

compare
    Compare two shapes (which can be in different formats)

rdf-config
    Show information about rdf config

service
    Show information about SPARQL service

query
    Run SPARQL queries

generate
    Generate synthetic RDF data from ShEx or SHACL schemas

materialize
    Materialize an RDF graph from a ShEx schema and Map semantic-action state

pgschema-validate
    Validate Property Graph data using PGSchema

completion
    Generates a shell completion script for the specified shell

config
    Dump the effective configuration rudof is using as TOML

help
    Print this message or the help of the given subcommand(s)

OPTIONS

-d, --debug...
    Increase logging verbosity

-h, --help
    Print help

-V, --version
    Print version